unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExBar, ExtCtrls, ImgList, ComCtrls, StdCtrls, {RXCtrls, }CheckLst;

type
  TForm1 = class(TForm)
    Splitter1: TSplitter;
    Panel1: TPanel;
    BlueImg: TImage;
    Image2: TImage;
    SilverBgImg: TImage;
    Icons16: TImageList;
    Icons32: TImageList;
    Button1: TButton;
    SilverImg: TImage;
    OliveImg: TImage;
    OliveBgImg: TImage;
    BlueBgImg: TImage;
    ComboBox1: TComboBox;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    TrackBar1: TTrackBar;
    CheckBox2: TCheckBox;
    procedure ItemClick(Sender: TObject; Id: Integer);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    FExBar: TExBar;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FExBar := TExBar.Create(Self);
  with FExBar do
  begin
    BeginUpdate;
    SetSkin(BlueImg.Picture.Bitmap);
    GroupIcons := Icons32;
    ItemIcons := Icons16;
    Parent := Self;
    Align := alLeft;
    OnMenuItemClick := ItemClick;
    with ExGroups.Add('Picture Tasks', True) do
    begin
      GroupIconIndex := 0;
      BgImage := BlueBgImg.Picture.Bitmap;
      AddCheckBox('Test OF check Box #1', 'This is a test of TExCheckBox. TExCheckBox supporting Flat style, Checked and Enabled property', 1);
      AddCheckBox('Test OF check Box #2', 'This is a test of TExCheckBox. TExCheckBox supporting Flat style, Checked and Enabled property', 2, true, true, true);
      AddCheckBox('Test OF check Box #3', 'This is a test of TExCheckBox. TExCheckBox supporting Flat style, Checked and Enabled property', 3, true, false, true);
      AddMenuItem('View as a slide show', 'Arrange all the picture in this folder into a slide show', 4, 0);
      AddMenuItem('Order prints online', 'Start the Online Print Ordering Wizard', 5, 1);
      AddMenuItem('Print this picture', 'Start the Photo Printing Wizard', 6, 2);
      AddMenuItem('Set as desktop background', 'Uses the selected picture, pattern, or HTML documents as the background for your computer screen', 7, 3);
    end;
    with ExGroups.Add('File and Folder Tasks') do
    begin
      AddMenuItem('Rename this file', 'Gives this file or folder a new label that you type for it', 8, 4);
      AddMenuItem('Move this file', 'Moves the selected items to a place you choose', 9, 5);
      AddMenuItem('Copy this file', 'Copies the selected items to a place you choose', 10, 6);
      AddMenuItem('Publish this file on the web', 'Transfers copies of the selected items to a public Web Page', 11, 7);
      AddMenuItem('E-mail this file', 'Send an E-mail message with copies of the selected items', 12, 8);
      AddMenuItem('Delete this file', 'Moves the selected items to the Recycled Bin', 13, 9);
      AddProgressBar(0, 100, 50, 20, cl3DDkShadow, clBtnShadow);
    end;
    with ExGroups.Add('Other Places') do
    begin
      AddMenuItem('My Pictures', '', 14, 10);
      AddMenuItem('My Computer', '', 15, 11);
      AddMenuItem('My Network Places', '', 16, 12);
    end;
    with ExGroups.Add('Details') do
    begin
      AddBmp(Image2.Picture.Bitmap);
      AddLine('dress_to_kill.jpg', clBtnText, [fsBold], True);
      AddLine('ACDSee JPG Image', clBtnText, [], True);
      AddLine('Dimensions: 713 x 488', clBtnText, [], True);
      AddLine('Size: 83,8 KB', clBtnText, [], True);
      AddLine('Date Modified: saturday 29 september 2001, 12:57', clBtnText, [], True);
    end;
    EndUpdate;
    ShowAnimate;
  end;
  ComboBox1.ItemIndex := 0;
end;

procedure TForm1.ItemClick(Sender: TObject; Id: Integer);
begin
  Showmessage('you clicked on item nuber ' + inttostr(Id));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  FExBar.ShowAnimate;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  case ComboBox1.ItemIndex of
    0:
      begin
        FExBar.SetSkin(BlueImg.Picture.Bitmap);
        FExBar.ExGroups[0].BgImage := BlueBgImg.Picture.Bitmap;
      end;
    1:
      begin
        FExBar.SetSkin(OliveImg.Picture.Bitmap);
        FExBar.ExGroups[0].BgImage := OliveBgImg.Picture.Bitmap;
      end;
    2:
      begin
        FExBar.SetSkin(SilverImg.Picture.Bitmap);
        FExBar.ExGroups[0].BgImage := SilverBgImg.Picture.Bitmap;
      end;
    3:
      begin
        FExBar.SetSkin(nil);
        FExBar.ExGroups[0].BgImage := nil;
      end;
  end;
  FExBar.ExGroups[0].GroupIconIndex := ComboBox1.ItemIndex;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  FExBar.Animate := CheckBox1.Checked
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  (FExBar.ExGroups[1].Items[6] as TExProgressBar).Position := TrackBar1.Position;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  FExBar.BeginUpdate;
  (FExBar.ExGroups[0].Items[0] as TExCustomItem).Visible := not CheckBox2.Checked;
  (FExBar.ExGroups[0].Items[1] as TExCustomItem).Visible := not CheckBox2.Checked;
  (FExBar.ExGroups[0].Items[2] as TExCustomItem).Visible := not CheckBox2.Checked;
  FExBar.EndUpdate;
end;

end.

